Summary: A network diagnostic tool
Name: mtr
Version: 0.75
Release: 5%{?dist}
Epoch:	2
Group: Applications/Internet
License: GPLv2+
URL: http://www.BitWizard.nl/mtr
Source:	ftp://ftp.bitwizard.nl/mtr/%{name}-%{version}.tar.gz
Source1: xmtr.consolehelper
Source2: xmtr.pam
Source3: net-x%{name}.desktop
Patch0: mtr-0.75-fd-flags.path
BuildRequires: ncurses-devel gtk2-devel desktop-file-utils

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Mtr is a network diagnostic tool that combines ping and traceroute
into one program. Mtr provides two interfaces: an ncurses interface,
useful for using Mtr from a telnet session; and a GTK+ interface for X
(provided in the mtr-gtk package).

%package gtk
Summary: The GTK+ interface for mtr
Group: Applications/Internet
Requires: mtr = %{epoch}:%{version}-%{release}
Requires: usermode >= 1.37

%description gtk
The mtr-gtk package provides the GTK+ interface for the mtr network
diagnostic tool.

%prep
%setup -q
%patch0 -p1 -b .fd-flags

%build
%configure --enable-gtk2
make %{?_smp_mflags} && mv mtr xmtr && make distclean
%configure --without-gtk
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
install -m 0755 mtr $RPM_BUILD_ROOT/%{_sbindir}/mtr
make DESTDIR=$RPM_BUILD_ROOT install

install -m 0755 xmtr $RPM_BUILD_ROOT/%{_bindir}/xmtr.bin
install -m 644 img/mtr_icon.xpm $RPM_BUILD_ROOT/usr/share/pixmaps
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/xmtr
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/xmtr
mkdir -p  $RPM_BUILD_ROOT/%{_bindir}
ln -fs consolehelper $RPM_BUILD_ROOT/%{_bindir}/xmtr

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications

desktop-file-install --vendor="fedora"				\
	--dir=${RPM_BUILD_ROOT}/%{_datadir}/applications		\
	%{SOURCE3}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING FORMATS NEWS README SECURITY
%attr(0755,root,root) %{_sbindir}/mtr
%{_mandir}/man8/*

%files gtk
%defattr(-,root,root,-)
%{_datadir}/applications/fedora-net-x%{name}.desktop
%attr(0755,root,root) %{_bindir}/xmtr.bin
%{_bindir}/xmtr
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%{_datadir}/pixmaps/mtr_icon.xpm


%changelog

